Bug 463079 - Review Request: ibp - A tool to show which IBP beacons are transmitting
Review Request: ibp - A tool to show which IBP beacons are transmitting
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-21 09:08 EDT by Lucian Langa
Modified: 2008-12-13 10:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-23 14:19:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lucian Langa 2008-09-21 09:08:01 EDT
Spec URL: http://lucilanga.fedorapeople.org/ibp.spec
SRPM URL: http://lucilanga.fedorapeople.org/ibp-0.21-1.fc9.src.rpm
Description: The International Beacon Project is a set of 18 amateur (ham) radio
transmitters around the world, each of which transmit every 3 minutes on a set
of 5 short-wave frequencies. This allows short-wave radio users to quickly
assess the current worldwide propagation conditions.
Much more information can be found on http://www.ncdxf.org/beacons.html
Comment 1 Jason Tibbitts 2008-11-20 15:57:53 EST
Not much to say about this one.

* source files match upstream.  sha256sum:
   b3b118ca83619f0a5605652a0a8c385c77ada3a10321a771e2d19f9f59604abd  
   ibp-0.21.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   ibp = 0.21-1.fc10
   ibp(x86-64) = 0.21-1.fc10
  =
   libX11.so.6()(64bit)
   libncurses.so.5()(64bit)
   libtinfo.so.5()(64bit)

* %check is not present; seems to run OK although I've no idea how to interpret 
   the output.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
* desktop files valid and installed properly.

APPROVED
Comment 2 Lucian Langa 2008-11-21 00:49:05 EST
New Package CVS Request
=======================
Package Name: ibp
Short Description: A tool to show which IBP beacons are transmitting
Owners: lucilanga
Branches: F-8 F-9 devel EL-5 
InitialCC:
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-11-22 23:33:23 EST
cvs done (also with F-10 branch).
Comment 4 Fedora Update System 2008-11-23 14:16:44 EST
ibp-0.21-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/ibp-0.21-2.fc8
Comment 5 Fedora Update System 2008-11-23 14:17:31 EST
ibp-0.21-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ibp-0.21-1.fc9
Comment 6 Fedora Update System 2008-11-23 14:18:16 EST
ibp-0.21-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ibp-0.21-1.fc10
Comment 7 Fedora Update System 2008-12-13 09:54:13 EST
ibp-0.21-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-12-13 09:58:18 EST
ibp-0.21-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-12-13 10:08:17 EST
ibp-0.21-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.